View Single Post
Old 10-01-04, 03:49 AM   #1
pahis
Registered User
 
Join Date: Oct 2004
Posts: 1
Unhappy Problems (un/re/-)installing nvidia-kernel files on Debian

Hi,

I have a problem when I try to install, reinstall or remove nvidia-kernel-2.4.27-1-386 and/or nvidia-kernel-2.4.27-1-.k7 on my Debian linux. These operations, whether I use the strongest forcings (even in 'init 1'), fail because of this:

Unpacking replacement nvidia-kernel-2.4.27-1-k7 ...
/etc/modutils/0keep: line 9: keep: command not found
Error while executing /etc/modutils/0keep, aborting
dpkg: warning - old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...

I used 'apt-get install' in the first place, then I've tried updating. As a last-ditch attempt, I tried to remove these packages completely, to no avail. Then I tried to force the remove with dpkg, no luck either. When I try to remove these freaking files, I sometimes receive an error message stating that the package is in very bad inconsistent state and I should try reinstalling it before attempting uninstall. As you might have guessed, I am not allowed to do that. These two packages are marked for install&update, so installing, upgrading or removing other packages is messy.

The problem is that 'keep' in the '0keep' file that shouldn't be referred to, according to other similar problems I've read about (hours after hours, hoping for an easy solution). I am out
of options right now and if someone has a clue to what I might try, I'd be delighted.

Pahis
--
pahis is offline   Reply With Quote